Run code in the configured managed sandbox provider
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: '<string>',
userId: '<string>',
code: '<string>',
command: '<string>'
})
};
fetch('https://getoverlay.io/api/v1/sandbox/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: '<string>',
userId: '<string>',
code: '<string>',
command: '<string>'
})
};
fetch('https://getoverlay.io/api/v1/sandbox/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/sandbox/run \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"accessToken": "<string>",
"userId": "<string>",
"code": "<string>",
"command": "<string>"
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Tools
Run code in the configured managed sandbox provider
POST
/
api
/
v1
/
sandbox
/
run
Run code in the configured managed sandbox provider
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: '<string>',
userId: '<string>',
code: '<string>',
command: '<string>'
})
};
fetch('https://getoverlay.io/api/v1/sandbox/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: '<string>',
userId: '<string>',
code: '<string>',
command: '<string>'
})
};
fetch('https://getoverlay.io/api/v1/sandbox/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/sandbox/run \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"accessToken": "<string>",
"userId": "<string>",
"code": "<string>",
"command": "<string>"
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Body
application/json
Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.